Adobe Digital Enterprise Platform Document Services version 10.0

Combinaisons de plateformes prises en charge

29 juillet 2011

Copyright 2011 Adobe Systems Incorporated and its licensors. All rights reserved.

Ce fichier contient des informations importantes sur les combinaisons de plateformes prises en charge par la version 10.0 de Document Services.


Sommaire

Prise en charge de correctifs tiers

Document Server

Serveur LDAP

Serveur de messagerie

Document Services - Workbench 10

Document Services - Designer

Prise en charge de clients

Historique des modifications


Prise en charge de correctifs tiers


Les plateformes tierces de référence qui sont décrites dans ce document correspondent à un niveau de correctif spécifique d’infrastructure tierce en vigueur lors du développement et de la mise à jour de cette version de Document Services. Pour prendre connaissance de la politique d’Adobe concernant la prise en charge de correctifs tiers et la compatibilité des logiciels, voir l’article Third-party Patch Support Policy (Politique de prise en charge des correctifs tiers) dans la base de connaissances.


Document Server

Le tableau suivant répertorie les systèmes d’exploitation, les serveurs d’applications, le JDK (Java Development Kit) et les configurations de base de données pris en charge.

Système d’exploitation Serveur d’applications Base de données Pilote JDBC Architecture JDK
IBM AIX 6.1 IBM WebSphere 7.0.0.15 Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits SDK Java IBM WebSphere 1.6 SR9
IBM AIX 6.1 IBM WebSphere 7.0.0.15 IBM DB2 9.1 ou version ultérieure Pilote JDBC 3.50.152 pour IBM DB2 Universal (db2jcc.jar) SE 64 bits et JVM 64 bits SDK Java IBM WebSphere 1.6 SR9
Microsoft Windows Server 2003 R2 SP2 IBM WebSphere 7.0.0.15 IBM DB2 9.1 ou version ultérieure Pilote JDBC 3.50.152 pour IBM DB2 Universal (db2jcc.jar) SE 64 bits et JVM 64 bits SDK Java IBM WebSphere 1.6 SR9
Microsoft Windows Server 2003 R2 SP2 IBM WebSphere 7.0.0.15 Microsoft SQL Server 2005 SP2/2008 Pilote JDBC 3.0 pour Microsoft SQL Server (sqljdbc4.jar) SE 64 bits et JVM 64 bits SDK Java IBM WebSphere 1.6 SR9
Microsoft Windows Server 2003 R2 SP2 IBM WebSphere 7.0.0.15 Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits SDK Java IBM WebSphere 1.6 SR9
Microsoft Windows Server 2008 R1/R2 IBM WebSphere 7.0.0.15 IBM DB2 9.1 ou version ultérieure Pilote JDBC 3.50.152 pour IBM DB2 Universal (db2jcc.jar) SE 64 bits et JVM 64 bits SDK Java IBM WebSphere 1.6 SR9
Microsoft Windows Server 2008 R1/R2 IBM WebSphere 7.0.0.15 Microsoft SQL Server 2005 SP2/2008 Pilote JDBC 3.0 pour Microsoft SQL Server (sqljdbc4.jar) SE 64 bits et JVM 64 bits SDK Java IBM WebSphere 1.6 SR9
Microsoft Windows Server 2008 R1/R2 IBM WebSphere 7.0.0.15 Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits SDK Java IBM WebSphere 1.6 SR9
Microsoft Windows Server 2008 R1/R2 JBoss 5.1 (EAP 5.1) Microsoft SQL Server 2005 SP2/2008 Pilote JDBC 3.0 pour Microsoft SQL Server (sqljdbc4.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Microsoft Windows Server 2008 R1/R2 JBoss 5.1 (EAP 5.1) MySQL 5.1.30 Connector/J 5.1.14 (mysql-connector-java-5.1.14-bin.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Microsoft Windows Server 2008 R1/R2 JBoss 5.1 (EAP 5.1) Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Microsoft Windows Server 2008 R1/R2 Oracle WebLogic Server 11g (10.3.3) Microsoft SQL Server 2005 SP2/2008 Pilote JDBC 3.0 pour Microsoft SQL Server (sqljdbc4.jar) SE 64 bits et JVM 64 bits Oracle JRockit Java 6 (R28)
Microsoft Windows Server 2008 R1/R2 Oracle WebLogic Server 11g (10.3.3) IBM DB2 9.1 ou version ultérieure Pilote JDBC 3.50.152 pour IBM DB2 Universal (db2jcc.jar) SE 64 bits et JVM 64 bits Oracle JRockit Java 6 (R28)
Microsoft Windows Server 2008 R1/R2 Oracle WebLogic Server 11g (10.3.3) Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits Oracle JRockit Java 6 (R28)
Oracle Solaris 10 8/07 (SPARC) JBoss 5.1 (EAP 5.1) MySQL 5.1.30 Connector/J 5.1.14 (mysql-connector-java-5.1.14-bin.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Oracle Solaris 10 8/07 (SPARC) JBoss 5.1 (EAP 5.1) Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Oracle Solaris 10 8/07 (SPARC) IBM WebSphere 7.0.0.15 IBM DB2 9.1 ou version ultérieure Pilote JDBC 3.50.152 pour IBM DB2 Universal (db2jcc.jar) SE 64 bits et JVM 64 bits SDK Java IBM WebSphere 1.6 SR9
Oracle Solaris 10 8/07 (SPARC) IBM WebSphere 7.0.0.15 Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits SDK Java IBM WebSphere 1.6 SR9
Oracle Solaris 10 8/07 (SPARC) Oracle WebLogic Server 11g (10.3.3) Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Red Hat Enterprise Linux Server et AP 5.5 (x86_64) Oracle WebLogic Server 11g (10.3.3) Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits Oracle JRockit Java 6 (R28)
Red Hat Enterprise Linux Server et AP 5.5 (x86_64) IBM WebSphere 7.0.0.15 IBM DB2 9.1 ou version ultérieure Pilote JDBC 3.50.152 pour IBM DB2 Universal (db2jcc.jar) SE 64 bits et JVM 64 bits SDK Java IBM WebSphere 1.6 SR9
Red Hat Enterprise Linux Server et AP 5.5 (x86_64) IBM WebSphere 7.0.0.15 Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits SDK Java IBM WebSphere 1.6 SR9
Red Hat Enterprise Linux Server et AP 5.5 (x86_64) JBoss 5.1 (EAP 5.1) Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Red Hat Enterprise Linux Server et AP 5.5 (x86_64) JBoss 5.1 (EAP 5.1) MySQL 5.1.30 Connector/J 5.1.14 (mysql-connector-java-5.1.14-bin.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
SUSE Linux Enterprise 11 (x86_64) IBM WebSphere 7.0.0.15 IBM DB2 9.1 ou version ultérieure Pilote JDBC 3.50.152 pour IBM DB2 Universal (db2jcc.jar) SE 64 bits et JVM 64 bits SDK Java IBM WebSphere 1.6 SR9
SUSE Linux Enterprise 11 (x86_64) IBM WebSphere 7.0.0.15 Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits SDK Java IBM WebSphere 1.6 SR9
SUSE Linux Enterprise 11 (x86_64) JBoss 5.1 (EAP 5.1) MySQL 5.1.30 Connector/J 5.1.14 (mysql-connector-java-5.1.14-bin.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
SUSE Linux Enterprise 11 (x86_64) JBoss 5.1 (EAP 5.1) Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Microsoft Windows 7 32 et 64 bits Installations clé en main, uniquement prises en charge pour évaluer et développer le serveur.
Microsoft Windows Vista 32 et 64 bits Installations clé en main, uniquement prises en charge pour évaluer et développer le serveur.

 

Le tableau suivant répertorie les systèmes d’exploitation, les serveurs d’applications, le JDK (Java Development Kit) et les configurations de base de données pris en charge pour la mise à niveau des installations basées sur JBoss 4.x.

Système d’exploitation Serveur d’applications Base de données Pilote JDBC Architecture JDK
Microsoft Windows Server 2008 R1/R2 JBoss 4.2.1 (EAP 4.3) MySQL 5.1.30 Connector/J 5.1.14 (mysql-connector-java-5.1.14-bin.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Microsoft Windows Server 2008 R1/R2 JBoss 4.2.1 (EAP 4.3) Microsoft SQL Server 2005 SP2/2008 Pilote JDBC 3.0 pour Microsoft SQL Server (sqljdbc4.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Microsoft Windows Server 2008 JBoss 4.2.1 (EAP 4.3) Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Microsoft Windows Server 2003 R1 SP2/R2 SP2 JBoss 4.2.1 (EAP 4.3) MySQL 5.1.30 Connector/J 5.1.14 (mysql-connector-java-5.1.14-bin.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Microsoft Windows Server 2003 R1 SP2/R2 SP2 JBoss 4.2.1 (EAP 4.3) Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Microsoft Windows Server 2003 R1 SP2/R2 SP2 JBoss 4.2.1 (EAP 4.3) Microsoft SQL Server 2005 SP2/2008 Pilote JDBC 3.0 pour Microsoft SQL Server (sqljdbc4.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Red Hat Enterprise Linux Server et AP 5.0 (x86_64) JBoss 4.2.1 (EAP 4.3) Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Red Hat Enterprise Linux Server et AP 5.0 (x86_64) JBoss 4.2.1 (EAP 4.3) MySQL 5.1.30 Connector/J 5.1.14 (mysql-connector-java-5.1.14-bin.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Oracle Solaris 10 8/07 (SPARC) JBoss 4.2.1 (EAP 4.3) Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
Oracle Solaris 10 8/07 (SPARC) JBoss 4.2.1 (EAP 4.3) MySQL 5.1.30 Connector/J 5.1.14 (mysql-connector-java-5.1.14-bin.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
SUSE Linux Enterprise 10 (x86_64) JBoss 4.2.1 (EAP 4.3) MySQL 5.1.30 Connector/J 5.1.14 (mysql-connector-java-5.1.14-bin.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
SUSE Linux Enterprise 10 (x86_64) JBoss 4.2.1 (EAP 4.3) Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
SUSE Linux Enterprise 11 (x86_64) JBoss 4.2.1 (EAP 4.3) Oracle 11g R1/R2 Pilote JDBC 11.1.0.6 pour Oracle Database 11g Release 1 (ojdbc6.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure
SUSE Linux Enterprise 11 (x86_64) JBoss 4.2.1 (EAP 4.3) MySQL 5.1.30 Connector/J 5.1.14 (mysql-connector-java-5.1.14-bin.jar) SE 64 bits et JVM 64 bits Oracle Java 6 Update 26 ou supérieure

 

Remarques :

 

Retour au sommaire


Serveur LDAP

Ce tableau offre un résumé des serveurs LDAP pris en charge.

Liste certifiée de serveurs LDAP avec Document Services
Sun ONE 5.1
Sun ONE 5.2
Sun ONE 6.3
Microsoft Active Directory 2003
Microsoft Active Directory 2008
IBM Tivoli Directory Server 6.0
Novell eDirectory 8.7.3
Lotus Domino 8.x
ADAM 1.1.3790.2075
OpenLDAP 2.3.43-12.el5_5.3.i386

Retour au sommaire


Serveur de messagerie

Ce tableau offre un résumé des serveurs de messagerie pris en charge.

Prise en charge des serveurs de messagerie
Microsoft Exchange 2000
Microsoft Exchange 2003
Microsoft Exchange 2007
Lotus Notes/Domino 6/7
SendMail (fourni avec Red Hat 5)
Novell GroupWise 6/7

Retour au sommaire


Document Services - Workbench 10.0

Ce tableau offre un résumé des systèmes d’exploitation et des architectures pris en charge par la version 10.0 de Workbench.

Système d’exploitation Architecture
Microsoft Windows XP Professionnel SP3 et version ultérieure SE 32 bits
Microsoft Windows Vista Professionnel SE 32 et 64 bits
Microsoft Windows Vista Edition Familiale (Basique/Premium) SE 32 et 64 bits
Microsoft Windows Vista Edition Intégrale SE 32 et 64 bits
Microsoft Windows Server 2003 R2 SP2 et version supérieure SE 32 et 64 bits
Microsoft Windows Server 2008 R1/R2 SE 32 et 64 bits
Microsoft Windows 7 Edition Familiale (Basique/Premium) SE 32 et 64 bits
Microsoft Windows 7 Professionnel SE 32 et 64 bits
Microsoft Windows 7 Entreprise SE 32 et 64 bits

Remarques :

La version cible d’Eclipse et RCP est Eclipse 3.6.

Workbench nécessite JRE 1.6.0_26 ou une mise à jour ultérieure du JDK 1.6.

Retour au sommaire

Document Services - Designer 10.0

La liste complète de la configuration système requise par Designer 10.0 est disponible dans les Notes de mise à jour sur Designer.

Retour au sommaire

 

Document Services - PDF Generator 10.0

La version 10.0 de PDF Generator prend en charge les applications suivantes sur le serveur.

Applications
Acrobat X Pro (version 10.1.1)
Microsoft Office 2007 et 2010 (32 bits uniquement)
OpenOffice 3.1 et 3.3 (32 bits uniquement)

Retour au sommaire


Prise en charge de clients

La plateforme Document Services fournit les logiciels clients suivants :

Utilisateur final

Document Services - Forms 10.0

Document Services - Administration Console

Acrobat/Acrobat Reader

Utilisateur final

Les interfaces d’utilisateur incluent :

Ce tableau offre un résumé des systèmes d’exploitation, des versions d’Adobe Flash Player et des navigateurs Web pris en charge par les clients d’utilisateur final Document Services.

Système d’exploitation  Version de Flash Player Navigateurs
Microsoft Windows Vista Flash Player 10.2 ou version ultérieure
Windows Internet Explorer 7.0 ou version ultérieure
Firefox 3.6.12 ou version ultérieure
Microsoft Windows Server 2003 R2 Flash Player 10.2 ou version ultérieure
Windows Internet Explorer 7.0 ou version ultérieure
Firefox 3.6.12 ou version ultérieure
Microsoft Windows Server 2008 R1 Flash Player 10.2 ou version ultérieure
Windows Internet Explorer 7.0 ou version ultérieure
Firefox 3.6.12 ou version ultérieure
Microsoft Windows Server 2008 R2 Flash Player 10.2 ou version ultérieure
Windows Internet Explorer 8.0 ou version ultérieure
Firefox 3.6.12 ou version ultérieure
Macintosh OS X 10.5.x (PowerPC) Flash Player 10.2 ou version ultérieure
Safari 4.x avec les dernières mises à jour
Safari 5.0.4 avec les dernières mises à jour
Firefox 3.6.12 ou version ultérieure (incompatible avec Workspace)
Macintosh OS X 10.5.x/10.6.x (Intel) Flash Player 10.2 ou version ultérieure Safari 4.x avec les dernières mises à jour
Safari 5.0.4 avec les dernières mises à jour
Firefox 3.6.12 ou version ultérieure (incompatible avec Workspace)
Microsoft Windows 7 Flash Player 10.2 ou version ultérieure Windows Internet Explorer 8.0 ou version ultérieure
Firefox 3.6.12 ou version ultérieure

Remarques :

L’expression « ou version ultérieure » inclut les révisions principales. Par exemple, l’expression « Windows Internet Explorer 7.0 ou version ultérieure » comprend également Windows Internet Explorer 8.0 et 9.0, de la même façon que Firefox 4.0 et 5.0 sont inclus dans l’expression « Firefox 3.6.12 ou version ultérieure ».

L’expression « avec les dernières mises à jour » inclut l’ensemble des révisions mineures. Par exemple, « Safari 5.0.4 avec les dernières mises à jour » comprend également Safari 5.0.5.

Document Service - Workspace 10.0 prend en charge Internet Explorer et Firefox sous Windows, mais uniquement Safari sous Mac. Safari 5.1 n’est pas pris en charge sous les versions 10.6 et 10.7 de Mac OS X. Pour plus d’informations, voir http://kb2.adobe.com/cps/908/cpsid_90885.html.

Document Services - Forms 10.0

Ce tableau offre un résumé des systèmes d’exploitation et des navigateurs Web pris en charge par Forms.

Système d’exploitation Navigateurs
Microsoft Windows XP/Vista/Server 2003 R2/Server 2008 R1 Windows Internet Explorer 7.0 ou version ultérieure
Firefox 3.6.12 ou version ultérieure
Microsoft Windows 7/Microsoft Windows Server 2008 R2 Windows Internet Explorer 8.0 ou version ultérieure
Firefox 3.6.12 ou version ultérieure
Linux/Intel Firefox 3.6.12 ou version ultérieure
Macintosh OS X 10.5.x (PowerPC) Safari 4.x avec les dernières mises à jour
Macintosh OS X 10.5.x/10.6.x (Intel) Safari 4.x et Safari 5.0.4 avec les dernières mises à jour

Remarques :

Forms prend en charge Internet Explorer et Firefox sous Windows, mais uniquement Safari sous Mac. Safari 5.1 n’est pas pris en charge sous les versions 10.6 et 10.7 de Mac OS X. Pour plus d’informations, voir http://kb2.adobe.com/cps/908/cpsid_90885.html.

Document Services - Administration Console

Ce tableau offre un résumé des systèmes d’exploitation et des navigateurs Web pris en charge par Administration Console.

Système d’exploitation Navigateurs
Microsoft Windows 7 Windows Internet Explorer 8.0 ou version ultérieure
Firefox 3.6.12 ou version ultérieure
Microsoft Windows Server 2008 R2 Windows Internet Explorer 8.0 ou version ultérieure
Firefox 3.6.12 ou version ultérieure
Microsoft Windows Vista Windows Internet Explorer 7.0 ou version ultérieure
Firefox 3.6.12 ou version ultérieure
Microsoft Windows Server 2008 R1 Windows Internet Explorer 7.0 ou version ultérieure
Firefox 3.6.12 ou version ultérieure
Microsoft Windows XP Windows Internet Explorer 7.0 ou version ultérieure
Firefox 3.6.12 ou version ultérieure
Microsoft Windows Server 2003 R2 Windows Internet Explorer 7.0 ou version ultérieure
Firefox 3.6.12 ou version ultérieure
Linux/Intel Firefox 3.6.12 ou version ultérieure
Oracle Solaris 10 Firefox 3.6.12 ou version ultérieure
IBM AIX 6.1 Firefox 3.5.8 ou version ultérieure


Remarques :

L’expression « ou version ultérieure » inclut les révisions principales. Par exemple, l’expression « Windows Internet Explorer 7.0 ou version ultérieure » comprend également Windows Internet Explorer 8.0 et 9.0, de la même façon que Firefox 4.0 et 5.0 sont inclus dans l’expression « Firefox 3.6.12 ou version ultérieure ».

L’expression « avec les dernières mises à jour » inclut l’ensemble des révisions mineures. Par exemple, « Safari 5.0.4 avec les dernières mises à jour » comprend également Safari 5.0.5. Safari 5.1 n’est pas pris en charge sous les versions 10.6 et 10.7 de Mac OS X. Pour plus d’informations, voir http://kb2.adobe.com/cps/908/cpsid_90885.html.

Prise en charge de versions spécifiques du SDK Flex

La version 10.0 de Document Services prend en charge les versions 4.1 et 4.5 du SDK Flex.

Prise en charge d’Acrobat/de Reader

Ce tableau offre un résumé des versions d’Adobe Acrobat et d’Adobe Reader prises en charge par la version 10.0 de Document Services.

Tâches Version d’Acrobat/d’Adobe Reader
Remplissage et envoi de formulaire 8.0 ou version ultérieure
9.0 ou version ultérieure
10.0 ou version ultérieure (recommandé)
Workspace 8.0 ou version ultérieure
9.0 ou version ultérieure
10.0 ou version ultérieure (recommandé)

Remarques :

L’expression « ou version ultérieure » inclut les révisions principales. Par exemple, l’expression « Acrobat 8.0 ou version ultérieure » comprend également Acrobat 8.1, 8.2, etc.

Retour au sommaire

 



Historique des modifications

Dernière mise à jour effectuée le 29 juillet 2011.

Adobe Digital Enterprise Platform Document Services, version 10.0 -- 29 juillet 2011